{
  inputs,
  config,
  lib,
  pkgs,
  ...
}:
let
  cfg = config.modules.alecaframe;
in
{
  # You gotta install it into prefix yourself. this just makes a desktop file
  options.modules.alecaframe = {
    enable = lib.mkEnableOption "";
  };
  config = lib.mkIf cfg.enable {
    xdg.desktopEntries = {
      alecaframe = {
        name = "Alecaframe";
        comment = "launches alecaframe";
        exec = ''
          					protonhax run 230410 "
                      /home/branden/.local/share/Steam/steamapps/compatdata/230410/pfx/drive_c/users/steamuser/AppData/Roaming/Microsoft/Windows/Start
                      Menu/Programs/Overwolf/AlecaFrame.lnk
                      "
          						'';
        # icon = "system-reboot";
        terminal = false;
        type = "Application";
        categories = [ "System" ];
      };
    };
  };
}
